> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reachedapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an SMS Message

> Retrieves the full details of a specific SMS message by its ID.

# Get an SMS Message

Retrieves the full details of a specific SMS message by its ID.

## Request

`GET /v1/sms-messages/:id`

### Path Parameters

| Parameter | Type | Required | Description        |
| --------- | ---- | -------- | ------------------ |
| `id`      | uuid | Yes      | The SMS message ID |

## Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET \
    https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/sms-messages/msg-uuid-1 \
    -H "Authorization: Bearer rchd_live_xxxxxxxxxxxx"
  ```

  ```javascript JavaScript theme={null}
  const messageId = "msg-uuid-1";
  const response = await fetch(
    `https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/sms-messages/${messageId}`,
    { headers: { "Authorization": "Bearer rchd_live_xxxxxxxxxxxx" } }
  );
  const { data } = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://kdjmltmhxvvmiuehafgl.supabase.co/functions/v1/api-gateway/v1/sms-messages/msg-uuid-1",
      headers={"Authorization": "Bearer rchd_live_xxxxxxxxxxxx"}
  )
  data = response.json()
  ```
</CodeGroup>

## Response

```json theme={null}
{
  "data": {
    "id": "msg-uuid-1",
    "lead_id": "a1b2c3d4-...",
    "from_number": "+33140000000",
    "to_number": "+33612345678",
    "body": "Hi John, following up on our call last week.",
    "direction": "outbound",
    "status": "delivered",
    "segment_count": 2,
    "twilio_message_sid": "SMxxxxxxx",
    "read_at": null,
    "created_at": "2026-09-14T10:00:00.000Z"
  }
}
```

### Response Fields

| Field                | Type     | Description                                   |
| -------------------- | -------- | --------------------------------------------- |
| `id`                 | uuid     | Message unique identifier                     |
| `lead_id`            | uuid     | Associated lead ID (if linked)                |
| `from_number`        | string   | Sender phone number                           |
| `to_number`          | string   | Recipient phone number                        |
| `body`               | string   | Message content                               |
| `direction`          | string   | `inbound` (received) or `outbound` (sent)     |
| `status`             | string   | Delivery status                               |
| `segment_count`      | integer  | Number of SMS segments used                   |
| `twilio_message_sid` | string   | Twilio message SID (if applicable)            |
| `read_at`            | datetime | Timestamp when the message was marked as read |
| `created_at`         | datetime | Message creation timestamp                    |

<Note>
  The message will only be returned if it belongs to your workspace. Requests for messages from another workspace will return a 404 error.
</Note>
